# matrix-wol

[![Matrix](https://img.shields.io/matrix/matrix-wol:jcg.re?server_fqdn=matrix.org)](https://matrix.to/#/#matrix-wol:jcg.re)

matrix-wol is a matrix bot for waking up hosts using
[Wake-on-LAN](https://en.wikipedia.org/wiki/Wake-on-LAN). It requires
configuring a name, mac address and array of users allowed to trigger a wakeup
per host.

## Installation

Use the package manager [cargo](https://doc.rust-lang.org/cargo/) to install
matrix-wol.

```bash
cargo install --git https://doc.rust-lang.org/cargo/ --tag <version>
```

## Usage

Take a look at the `config.sample.toml` file for a configuration example. Start
the bot with a link to your config as the only argument:
```bash
matrix-wol config.toml
```

## Contributing
Pull requests are welcome. For major changes, please open an issue first to discuss what you would like to change.

Please make sure to update tests as appropriate.

## License
[AGPL-3.0-only](https://spdx.org/licenses/AGPL-3.0-only.html)
